Skip to content

upsertPurchaseInvoice

DESTRUCTIVE

Upsert purchase invoice.

POST /api/v1/invoicing/upsertPurchaseInvoice
curl -X POST '<your-host>/api/v1/invoicing/upsertPurchaseInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "supplierId": "string",
    "locationId": "string",
    "invoiceId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "invoiceId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "supplierId": {
      "type": "string",
      "minLength": 1
    },
    "supplierReference": {
      "type": "string"
    },
    "paymentTermId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "invoiceSupplierId": {
      "type": "string"
    },
    "invoiceSupplierContactId": {
      "type": "string"
    },
    "invoiceSupplierLocationId": {
      "type": "string"
    },
    "dateIssued": {
      "type": "string"
    },
    "dateDue": {
      "type": "string"
    },
    "supplierShippingCost": {
      "type": "number"
    },
    "exchangeRate": {
      "type": "number"
    },
    "exchangeRateUpdatedAt": {
      "type": "string"
    },
    "invoiceId": {
      "type": "string"
    },
    "customFields": {},
    "id": {
      "type": "string"
    }
  },
  "required": [
    "supplierId",
    "locationId",
    "invoiceId"
  ]
}